Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch.termination
Class AbstractCompositeTermination

    java.lang.Object
      org.drools.planner.core.localsearch.termination.AbstractTermination
          org.drools.planner.core.localsearch.termination.AbstractCompositeTermination

All Implemented Interfaces:
  LocalSearchSolverAware, LocalSearchSolverLifecycleListener, Termination

Direct Known Subclasses:
  AndCompositeTermination, OrCompositeTermination

    public abstract class AbstractCompositeTermination

extends AbstractTermination
implements Termination

Abstract superclass for CompositeTermination classes that combine multiple Terminations.

Field Summary
`protected List<Termination>` | `terminationList`

Fields inherited from class org.drools.planner.core.localsearch.termination.AbstractTermination
`localSearchSolver, logger`

Constructor Summary
`AbstractCompositeTermination()`

Method Summary
`void` | `beforeDeciding(LocalSearchStepScope localSearchStepScope)`
`void` | `setLocalSearchSolver(LocalSearchSolver localSearchSolver)`
`void` | `setTerminationList(List<Termination> terminationList)`
`void` | `solvingEnded(LocalSearchSolverScope localSearchSolverScope)`
`void` | `solvingStarted(LocalSearchSolverScope localSearchSolverScope)`
`void` | `stepDecided(LocalSearchStepScope localSearchStepScope)`
`void` | `stepTaken(LocalSearchStepScope localSearchStepScope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.localsearch.termination.Termination
`calculateTimeGradient, isTerminated`

Field Detail

### terminationList

    protected List<Termination> terminationList

Constructor Detail

### AbstractCompositeTermination

    public AbstractCompositeTermination()

Method Detail

### setTerminationList

    public void setTerminationList(List<Termination> terminationList)

### setLocalSearchSolver

    public void setLocalSearchSolver(LocalSearchSolver localSearchSolver)

  Specified by:
    `setLocalSearchSolver` in interface `LocalSearchSolverAware`
  Overrides:
    `setLocalSearchSolver` in class `AbstractTermination`

### solvingStarted

    public void solvingStarted(LocalSearchSolverScope localSearchSolverScope)

  Specified by:
    `solvingStarted` in interface `LocalSearchSolverLifecycleListener`
  Overrides:
    `solvingStarted` in class `AbstractTermination`

### beforeDeciding

    public void beforeDeciding(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `beforeDeciding` in interface `LocalSearchSolverLifecycleListener`
  Overrides:
    `beforeDeciding` in class `AbstractTermination`

### stepDecided

    public void stepDecided(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `stepDecided` in interface `LocalSearchSolverLifecycleListener`
  Overrides:
    `stepDecided` in class `AbstractTermination`

### stepTaken

    public void stepTaken(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `stepTaken` in interface `LocalSearchSolverLifecycleListener`
  Overrides:
    `stepTaken` in class `AbstractTermination`

### solvingEnded

    public void solvingEnded(LocalSearchSolverScope localSearchSolverScope)

  Specified by:
    `solvingEnded` in interface `LocalSearchSolverLifecycleListener`
  Overrides:
    `solvingEnded` in class `AbstractTermination`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss Inc.. All Rights Reserved.